apiVersion: 1

datasources:
  - name: gdev-graphite
    type: graphite
    access: proxy
    url: http://localhost:8180
    jsonData:
      graphiteVersion: "1.1"

  - name: gdev-prometheus
    type: prometheus
    access: proxy
    url: http://localhost:9090

  - name: gdev-slow-prometheus
    type: prometheus
    access: proxy
    url: http://localhost:3011

  - name: gdev-testdata
    isDefault: true
    type: testdata

  - name: gdev-influxdb
    type: influxdb
    access: proxy
    database: site
    user: grafana
    url: http://localhost:8086
    jsonData:
      timeInterval: "15s"
    secureJsonData:
      password: grafana
  
  - name: gdev-influxdb2
    type: influxdb
    access: proxy
    url: http://localhost:8087
    user: grafana
    secureJsonData:
      token: mytoken
      password: grafana12345
    jsonData:
      version: Flux
      organization: myorg
      defaultBucket: mybucket

  - name: gdev-influxdb-telegraf
    type: influxdb
    access: proxy
    database: telegraf
    user: grafana
    url: http://localhost:8086
    jsonData:
      timeInterval: "10s"
    secureJsonData:
      password: grafana
    
  - name: gdev-opentsdb
    type: opentsdb
    access: proxy
    url: http://localhost:4242
    jsonData:
      tsdbResolution: 1
      tsdbVersion: 1

  - name: gdev-elasticsearch-v2-metrics
    type: elasticsearch
    access: proxy
    database: "[metrics-]YYYY.MM.DD"
    url: http://localhost:9200
    jsonData:
      interval: Daily
      timeField: "@timestamp"
      esVersion: 2

  - name: gdev-elasticsearch-v2-logs
    type: elasticsearch
    access: proxy
    database: "[logs-]YYYY.MM.DD"
    url: http://localhost:9200
    jsonData:
      interval: Daily
      timeField: "@timestamp"
      esVersion: 2

  - name: gdev-elasticsearch-v5-metrics
    type: elasticsearch
    access: proxy
    database: "[metrics-]YYYY.MM.DD"
    url: http://localhost:10200
    jsonData:
      interval: Daily
      timeField: "@timestamp"
      esVersion: 5

  - name: gdev-elasticsearch-v5-logs
    type: elasticsearch
    access: proxy
    database: "[logs-]YYYY.MM.DD"
    url: http://localhost:10200
    jsonData:
      interval: Daily
      timeField: "@timestamp"
      esVersion: 5

  - name: gdev-elasticsearch-v6-metrics
    type: elasticsearch
    access: proxy
    database: "[metrics-]YYYY.MM.DD"
    url: http://localhost:11200
    jsonData:
      interval: Daily
      timeField: "@timestamp"
      esVersion: 60

  - name: gdev-elasticsearch-v6-logs
    type: elasticsearch
    access: proxy
    database: "[logs-]YYYY.MM.DD"
    url: http://localhost:11200
    jsonData:
      interval: Daily
      timeField: "@timestamp"
      esVersion: 60

  - name: gdev-elasticsearch-v6-filebeat
    type: elasticsearch
    access: proxy
    database: "[filebeat-]YYYY.MM.DD"
    url: http://localhost:11200
    jsonData:
      interval: Daily
      timeField: "@timestamp"
      esVersion: 60

  - name: gdev-elasticsearch-v7-metrics
    type: elasticsearch
    access: proxy
    database: "[metrics-]YYYY.MM.DD"
    url: http://localhost:12200
    jsonData:
      timeInterval: 10s
      interval: Daily
      timeField: "@timestamp"
      esVersion: 70

  - name: gdev-elasticsearch-v7-logs
    type: elasticsearch
    access: proxy
    database: "[logs-]YYYY.MM.DD"
    url: http://localhost:12200
    jsonData:
      interval: Daily
      timeField: "@timestamp"
      esVersion: 70

  - name: gdev-elasticsearch-v7-filebeat
    type: elasticsearch
    access: proxy
    database: "[filebeat-]YYYY.MM.DD"
    url: http://localhost:12200
    jsonData:
      interval: Daily
      timeField: "@timestamp"
      esVersion: 70
      timeInterval: "10s"
      logMessageField: message
      logLevelField: fields.level

  - name: gdev-elasticsearch-v7-metricbeat
    type: elasticsearch
    access: proxy
    database: "[metricbeat-]YYYY.MM.DD"
    url: http://localhost:12200
    jsonData:
      interval: Daily
      timeField: "@timestamp"
      esVersion: 70
      timeInterval: "10s"

  - name: gdev-mysql
    type: mysql
    url: localhost:3306
    database: grafana
    user: grafana
    secureJsonData:
      password: password

  - name: gdev-mysql-ds-tests
    type: mysql
    url: localhost:3306
    database: grafana_ds_tests
    user: grafana
    secureJsonData:
      password: password

  - name: gdev-mssql
    type: mssql
    url: localhost:1433
    database: grafana
    user: grafana
    secureJsonData:
      password: Password!

  - name: gdev-mssql-ds-tests
    type: mssql
    url: localhost:1433
    database: grafanatest
    user: grafana
    secureJsonData:
      password: Password!

  - name: gdev-postgres
    type: postgres
    url: localhost:5432
    database: grafana
    user: grafana
    secureJsonData:
      password: password
    jsonData:
      sslmode: "disable"

  - name: gdev-postgres-ds-tests
    type: postgres
    url: localhost:5432
    database: grafanadstest
    user: grafanatest
    secureJsonData:
      password: grafanatest
    jsonData:
      sslmode: "disable"

  - name: gdev-cloudwatch
    type: cloudwatch
    editable: true
    jsonData:
      authType: credentials
      defaultRegion: eu-west-2
      customMetricsNamespaces: "CWAgent"

  - name: gdev-loki
    type: loki
    access: proxy
    url: http://localhost:3100
    editable: false
    jsonData:
      derivedFields:
        - name: "traceID"
          matcherRegex: "traceID=(\\w+)"
          url: "$${__value.raw}"
          datasourceUid: gdev-jaeger
        - name: "traceID"
          matcherRegex: "traceID=(\\w+)"
          url: "$${__value.raw}"
          datasourceUid: gdev-zipkin

  - name: gdev-jaeger
    type: jaeger
    uid: gdev-jaeger
    access: proxy
    url: http://localhost:16686
    editable: false

  - name: gdev-zipkin
    type: zipkin
    uid: gdev-zipkin
    access: proxy
    url: http://localhost:9411
    editable: false
